Package org.springframework.security.web.authentication

# Class WebAuthenticationDetailsSource

java.lang.Object
org.springframework.security.web.authentication.WebAuthenticationDetailsSource

All Implemented Interfaces:
  `org.springframework.security.authentication.AuthenticationDetailsSource<jakarta.servlet.http.HttpServletRequest,WebAuthenticationDetails>`

public class WebAuthenticationDetailsSource extends Object implements org.springframework.security.authentication.AuthenticationDetailsSource<jakarta.servlet.http.HttpServletRequest,WebAuthenticationDetails>
Implementation of `AuthenticationDetailsSource` which builds the details object from an `HttpServletRequest` object, creating a `WebAuthenticationDetails` .

## Constructor Summary

Constructors
Constructor
Description
`WebAuthenticationDetailsSource()`

## Method Summary

Modifier and Type
Method
Description
`WebAuthenticationDetails`
`buildDetails(jakarta.servlet.http.HttpServletRequest context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WebAuthenticationDetailsSource

public WebAuthenticationDetailsSource()

## Method Details

### buildDetails

public WebAuthenticationDetails buildDetails(jakarta.servlet.http.HttpServletRequest context)

Specified by:
  `buildDetails` in interface `org.springframework.security.authentication.AuthenticationDetailsSource<jakarta.servlet.http.HttpServletRequest,WebAuthenticationDetails>`
Parameters:
  `context` - the `HttpServletRequest` object.
Returns:
  the `WebAuthenticationDetails` containing information about the current request